Bug 1575127 - [DOCS] Service Broker Storage Options are not documented
Summary: [DOCS] Service Broker Storage Options are not documented
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Alex Dellapenta
QA Contact: Zhang Cheng
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 20:05 UTC by Eric Rich
Modified: 2018-08-31 20:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-31 20:34:39 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Eric Rich 2018-05-04 20:05:37 UTC
Document URL: https://docs.openshift.com/container-platform/3.9/install_config/install/advanced_install.html#configuring-oab-storage

Section Number and Name: CONFIGURING PERSISTENT STORAGE FOR THE OPENSHIFT ANSIBLE BROKER


Describe the issue: The following variables options are not documented

openshift_hosted_etcd_storage_kind
openshift_hosted_etcd_storage_volume_name
openshift_hosted_etcd_storage_access_modes
openshift_hosted_etcd_storage_volume_size
openshift_hosted_etcd_storage_labels

If NFS is selected the for _kind you also need to explain the options for the folllowing: 

openshift_hosted_etcd_storage_nfs_options
openshift_hosted_etcd_storage_nfs_directory

Other options for different _kind[s] might also be 

Suggestions for improvement: 

Create a table like in other sections that outlined the available options and what can be placed into them. 

Additional information:

Comment 3 Alex Dellapenta 2018-08-29 17:58:20 UTC
Closed PR 11768 and opened:

[3.9] https://github.com/openshift/openshift-docs/pull/11823

[3.7] https://github.com/openshift/openshift-docs/pull/11828

I've added a table describing the related Ansible variables, which is known to work for NFS:

http://file.rdu.redhat.com/~adellape/082918/oab_storage_39/install_config/install/advanced_install.html#configuring-oab-storage

There is a separate BZ (https://bugzilla.redhat.com/show_bug.cgi?id=1543792) that requests a GlusterFS example, so I'll defer that discussion (and any other storage kinds) to that BZ. But for this BZ, just adding the table with descriptions.

Comment 5 Zhang Cheng 2018-08-30 03:02:08 UTC
Below PR LGTM, thanks.
[3.9] https://github.com/openshift/openshift-docs/pull/11823
[3.7] https://github.com/openshift/openshift-docs/pull/11828

I will change status to Verified once PRs are merged.

Comment 6 Alex Dellapenta 2018-08-30 15:00:43 UTC
Thanks, merged!

Comment 7 Zhang Cheng 2018-08-31 02:18:54 UTC
Changing status to Verified.


Note You need to log in before you can comment on or make changes to this bug.